# name: discus blocks
# desc: makes discus showing block alike graphs
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

# note: this setup looks stupid, if colors are disabled by -c

class discus_blocks {
	class { 'discus':
		# use binary prefixes
		discusrc_akabytes             => ['KiB', 'MiB', 'GiB', 'TiB', 'PiB'],
		discusrc_graph_char           => ' ',
		discusrc_graph_fill           => '_',
		discusrc_color_safe           => 'on_green',
		# the asterisk '*' as eighth character is hard coded
		# -> make it visually disappear
		discusrc_color_warning        => 'yellow + on_yellow',
		discusrc_color_danger         => 'on_red'
		discusrc_skip_list            => [
				'/dev/',
				'/dev/pts/',
				'/dev/hugepages/',
				'/dev/mqueue/',
				'/proc/',
				'/proc/usb/',
				'/sys/',
				'/sys/fs/cgroup/',
				'/sys/fs/cgroup/systemd/',
				'/sys/fs/pstore/',
				'/sys/fs/cgroup/perf_event/',
				'/sys/fs/cgroup/blkio/',
				'/sys/fs/cgroup/devices/',
				'/sys/fs/cgroup/memory/',
				'/sys/fs/cgroup/cpu,cpuacct/',
				'/sys/fs/cgroup/hugetlb/',
				'/sys/fs/cgroup/net_cls,net_prio/',
				'/sys/fs/cgroup/freezer/',
				'/sys/fs/cgroup/cpuset/',
				'/proc/sys/fs/binfmt_misc/',
				'/sys/kernel/debug/',
				'/sys/kernel/security/',
				'/sys/fs/fuse/connections/',
				'/proc/fs/nfsd/',
				'/run/rpc_pipefs/',
			],
		# use absolute paths, please
		discusrc_stat_prog            => '/usr/bin/stat -ft',
	}
}
# EOF
