# name: discus reasonable
# desc: this is how I set up my discus
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

class discus_reasonable {
	class { 'discus':
		# use binary prefixes
		discusrc_akabytes             => ['KiB', 'MiB', 'GiB', 'TiB', 'PiB'],
		# choose a more covering character
		# unfortunately unicode block characters don't work
		# (I'd have preferred a full covered block graphic)
		discusrc_graph_char           => '#',
		# choose a less covering character (except ' ' - a blank)
		discusrc_graph_fill           => '.',
		# unfortunately discus(1) does not exclude tmpfs and alike by itself
		discusrc_skip_list            => [
				'/dev/',
				'/dev/pts/',
				'/dev/hugepages/',
				'/dev/mqueue/',
				'/proc/',
				'/proc/usb/',
				'/sys/',
				'/sys/fs/cgroup/',
				'/sys/fs/cgroup/systemd/',
				'/sys/fs/pstore/',
				'/sys/fs/cgroup/perf_event/',
				'/sys/fs/cgroup/blkio/',
				'/sys/fs/cgroup/devices/',
				'/sys/fs/cgroup/memory/',
				'/sys/fs/cgroup/cpu,cpuacct/',
				'/sys/fs/cgroup/hugetlb/',
				'/sys/fs/cgroup/net_cls,net_prio/',
				'/sys/fs/cgroup/freezer/',
				'/sys/fs/cgroup/cpuset/',
				'/proc/sys/fs/binfmt_misc/',
				'/sys/kernel/debug/',
				'/sys/kernel/security/',
				'/sys/fs/fuse/connections/',
				'/proc/fs/nfsd/',
				'/run/rpc_pipefs/',
			],
		# please use absolute paths
		discusrc_stat_prog            => '/usr/bin/stat -ft',
		discusrc_author               => 'J Doe <j.doe at the-does.xxx>',
	}
}
# EOF
