# name: discus
# desc: init manifest for discus module
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent fdm=marker fdl=0:

# {include:file:docs/init.yard}
class discus (
	Boolean                  $latest_instead_of_present     = $discus::params::latest_instead_of_present,
	String                   $discusrc_path                 = $discus::params::discusrc_path,
	Optional[String]         $discusrc_mode                 = $discus::params::discusrc_mode,
	Optional[String]         $discusrc_owner                = $discus::params::discusrc_owner,
	Optional[String]         $discusrc_group                = $discus::params::discusrc_group,
	String                   $discusrc_template             = $discus::params::discusrc_template,
	
	Array[String[1], 1]      $discusrc_akabytes             = $discus::params::discusrc_akabytes,
	Boolean                  $discusrc_color                = $discus::params::discusrc_color,
	Integer[0]               $discusrc_divisor              = $discus::params::discusrc_divisor,
	Boolean                  $discusrc_graph                = $discus::params::discusrc_graph,
	String[1, 1]             $discusrc_graph_char           = $discus::params::discusrc_char,
	String[1, 1]             $discusrc_graph_fill           = $discus::params::discusrc_graph_fill,
	String[1]                $discusrc_mtab                 = $discus::params::discusrc_mtab,
	Integer[0, 9]            $discusrc_places               = $discus::params::discusrc_places,
	Optional[Integer[0, 9]]  $discusrc_placing              = undef,
	Array[String[1]]         $discusrc_skip_list            = $discus::params::discusrc_skip_list,
	Boolean                  $discusrc_smart                = $discus::params::discusrc_smart,
	String                   $discusrc_stat_prog            = $discus::params::discusrc_stat_prog,
	Optional[Boolean]        $discusrc_reserved             = undef,
	String                   $discusrc_color_header         = $discus::params::discusrc_color_header,
	String                   $discusrc_color_normal         = $discus::params::discusrc_color_normal,
	String                   $discusrc_color_safe           = $discus::params::discusrc_color_safe,
	String                   $discusrc_color_warning        = $discus::params::discusrc_color_warning,
	String                   $discusrc_color_danger         = $discus::params::discusrc_color_danger,
	
	String                   $discusrc_author               = $discus::params::discusrc_author,
) inherits discus::params {
	Class['discus::install'] -> Class['discus::config']
	contain 'discus::install'
	contain 'discus::config'
}
# EOF
