# name: discus parameters
# desc: parameter manifest for discus module
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent fdm=marker fdl=0:

# YARD user documentation {{{
# @abstract
#   Traditional way to supply default values to {Class::discus}
# 
# @note
#   There is already {#data}.
# }}}
class discus::params {
	$latest_instead_of_present     = false
	$discusrc_path                 = '/etc/discusrc'
	$discusrc_mode                 = '0644'
	$discusrc_owner                = 'root'
	$discusrc_group                = 'root'
	$discusrc_template             = 'discus/discusrc.erb'
	
	# defaults taken from distributed discusrc
	$discusrc_akabytes             = ['KB', 'MB', 'GB', 'TB', 'PB', 'EB']
	$discusrc_color                = true
	$discusrc_divisor              = 1
	$discusrc_graph                = true
	$discusrc_graph_char           = '*'
	$discusrc_graph_fill           = '-'
	$discusrc_mtab                 = '/etc/mtab'
	$discusrc_places               = 2
	$discusrc_skip_list            = ['/dev/pts', '/proc', '/dev', '/proc/usb', '/sys']
	$discusrc_smart                = true
	$discusrc_stat_prog            = 'stat -ft'
	$discusrc_color_header         = 'blue'
	$discusrc_color_normal         = 'normal'
	$discusrc_color_safe           = 'normal'
	$discusrc_color_warning        = 'bold + yellow'
	$discusrc_color_danger         = 'bold + red'
	
	$discusrc_author               = 'Kai Burghardt <wiz at KaiBurghardt.de>'
}
# EOF
